Bug 443488 - Crashses with stack trace
Crashses with stack trace
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gramps (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 16:07 EDT by Nigel Horne
Modified: 2008-11-26 08:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 08:40:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ged file with broken entries that gramps can't handle without crashing causing DOS (216.69 KB, application/octet-stream)
2008-04-21 16:07 EDT, Nigel Horne
no flags Details

  None (edit)
Description Nigel Horne 2008-04-21 16:07:50 EDT
Description of problem:
Crashes with stacktrace when opening my GED and attempting to anything such as
create HTML file

Version-Release number of selected component (if applicable):
gramps-2.2.8-6.fc8

How reproducible:
100%

Steps to Reproduce:
1. Start gramps with my GED
2. Try to export to HTML
3.
  
Actual results:
"User Information: ===================Attempting to generate a web reportError
Details: ===================2512: WARNING: _ReadGedcom.py: line 753: Line 4218
was not understood, so it was ignored.14683: ERROR: gramps.py: line 148:
Unhandled exceptionTraceback (most recent call last):  File
"/usr/share/gramps/ViewManager.py", line 1180, in <lambda>    lst[0], lst[1],
lst[2], lst[3], lst[4], lst[5])  File
"/usr/share/gramps/ReportBase/_ReportDialog.py", line 671, in report
report_class(dbstate,uistate,person)  File
"/usr/share/gramps/plugins/NarrativeWeb.py", line 2741, in __init__
self.make_report()  File "/usr/share/gramps/plugins/NarrativeWeb.py", line 2837,
in make_report    MyReport.write_report()  File
"/usr/share/gramps/plugins/NarrativeWeb.py", line 2226, in write_report   
self.person_pages(ind_list, restrict_list, place_list, source_list, archive) 
File "/usr/share/gramps/plugins/NarrativeWeb.py", line 2309, in person_pages   
place_list, source_list, self.options, archive, self.photo_list)  File
"/usr/share/gramps/plugins/NarrativeWeb.py", line 1440, in __init__   
self.display_ind_relationships(of)  File
"/usr/share/gramps/plugins/NarrativeWeb.py", line 1896, in
display_ind_relationships    self.display_spouse(of,family,first)  File
"/usr/share/gramps/plugins/NarrativeWeb.py", line 1928, in display_spouse   
spouse = ReportUtils.sanitize_person( self.db, spouse)  File
"/usr/share/gramps/ReportBase/_ReportUtils.py", line 1136, in sanitize_person
new_person.set_gender(person.get_gender())AttributeError: 'NoneType' object has
no attribute 'get_gender'System Information: ===================Python version:
2.5.1 (r251:54863, Oct 30 2007, 13:54:11) [GCC 4.1.2 20070925 (Red Hat
4.1.2-33)] BSDDB version: 4.4.5.2 Gramps version: 2.2.8-0.SVN LANG:
en_GB.UTF-8OS: LinuxDistribution: 2.6.24.4-64.fc8" 

Expected results:
Should create file


Additional info:

Upstream said this gramps is old, it's fixed in 2.10, or better still version 3.
Comment 1 Nigel Horne 2008-04-21 16:07:50 EDT
Created attachment 303197 [details]
Ged file with broken entries that gramps can't handle without crashing causing DOS
Comment 2 Bug Zapper 2008-11-26 05:32:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jeffrey C. Ollie 2008-11-26 08:40:04 EST
Gramps is at version 2.2.10 in F-8, so I'm going to close this out.  Re-open if there is still a problem.

Note You need to log in before you can comment on or make changes to this bug.